gov.ornl.mercury3.dwr_utils

## Class ErrorLogUtil

- java.lang.Object
- - gov.ornl.mercury3.dwr_utils.ErrorLogUtil

-     public class ErrorLogUtil
      extends Object

  Error Utility Class logs al the errors and debugs in log files Modified by $Author: cxl $ author : Giri Palanisamy
  Version:
    $Id: ErrorLogUtil.java,v 1.6 2004/01/12 19:55:08 cxl Exp $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ERROR_PROPERTY_FILE`
    `static String` | `IS_DEBUG`
    `static String` | `LOG_ROOT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorLogUtil` | `getInstance()`
    `boolean` | `isDebug()` for turning off/on the debug mode
    `void` | `writeToLog(String message, Object objectRef, int projectID)` this method gets calld by other classes to log messages, errors and debugs
    `void` | `writeToLog(String message, Object objectRef, String projectID)` this method gets calld by other classes to log messages, errors and debugs
    `void` | `writeToLog(String message, String classRef, int projectID)` An over loaded method gets calld by other classes to log messages, errors and debugs
    `void` | `writeToLog(String message, String classRef, String projectID)` An over loaded method gets calld by other classes to log messages, errors and debugs

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_PROPERTY_FILE

          public static final String ERROR_PROPERTY_FILE

      See Also:
        Constant Field Values

    - #### LOG_ROOT

          public static final String LOG_ROOT

      See Also:
        Constant Field Values

    - #### IS_DEBUG

          public static final String IS_DEBUG

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static ErrorLogUtil getInstance()

    - #### isDebug

          public boolean isDebug()

      for turning off/on the debug mode
      Returns:
        boolean for debug mode

    - #### writeToLog

          public void writeToLog(String message,
                        Object objectRef,
                        int projectID)

      this method gets calld by other classes to log messages, errors and debugs
      Parameters:
        `message` - a string message
        `objectRef` - the class object. use 'this' to see the name of the class in log file
        `projectID` -

    - #### writeToLog

          public void writeToLog(String message,
                        String classRef,
                        int projectID)

      An over loaded method gets calld by other classes to log messages, errors and debugs
      Parameters:
        `message` - a String message
        `classRef` - a String. for passing the class name in static method
        `projectID` -

    - #### writeToLog

          public void writeToLog(String message,
                        Object objectRef,
                        String projectID)

      this method gets calld by other classes to log messages, errors and debugs
      Parameters:
        `message` - a string message
        `objectRef` - the class object. use 'this' to see the name of the class in log file
        `projectID` -

    - #### writeToLog

          public void writeToLog(String message,
                        String classRef,
                        String projectID)

      An over loaded method gets calld by other classes to log messages, errors and debugs
      Parameters:
        `message` - a String message
        `classRef` - a String. for passing the class name in static method
        `projectID` -

Copyright © 2016. All rights reserved.